Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Remove unnecessary python restriction (to all supported versions).

  • Loading branch information...
commit b5307bedd5037773229cca20f0ea7a1d00d5c046 1 parent cb8faa5
wiz authored
View
4 databases/py-sqlalchemy-migrate/Makefile
@@ -1,4 +1,4 @@
-# $NetBSD: Makefile,v 1.2 2012/10/02 21:25:50 asau Exp $
+# $NetBSD: Makefile,v 1.3 2012/10/04 07:05:53 wiz Exp $
DISTNAME= sqlalchemy-migrate-0.7.2
PKGNAME= ${PYPKGPREFIX}-${DISTNAME}
@@ -15,7 +15,5 @@ DEPENDS+= ${PYPKGPREFIX}-Tempita>=0.4:../../textproc/py-Tempita
DEPENDS+= ${PYPKGPREFIX}-decorator-[0-9]*:../../devel/py-decorator
DEPENDS+= ${PYPKGPREFIX}-sqlalchemy>=0.6<0.7:../../databases/py-sqlalchemy
-PYTHON_VERSIONS_ACCEPTED= 27 26
-
.include "../../lang/python/egg.mk"
.include "../../mk/bsd.pkg.mk"
View
5 devel/bzr-explorer/Makefile
@@ -1,4 +1,4 @@
-# $NetBSD: Makefile,v 1.10 2012/05/15 03:50:34 reed Exp $
+# $NetBSD: Makefile,v 1.11 2012/10/04 07:05:53 wiz Exp $
DISTNAME= bzr-explorer-${VER}
PKGREVISION= 2
@@ -22,9 +22,6 @@ DEPENDS+= qbzr>=0.11:../../devel/qbzr
DEPENDS+= ${PYPKGPREFIX}-qt4>=4.4:../../x11/py-qt4
PYDISTUTILSPKG= yes
-# Only these python versions are supported, see:
-# http://doc.bazaar.canonical.com/bzr.dev/en/whats-new/whats-new-in-2.4.html
-PYTHON_VERSIONS_ACCEPTED= 27 26
.include "../../devel/bzr/plugin.mk"
.include "../../lang/python/extension.mk"
View
5 devel/bzr-gtk/Makefile
@@ -1,4 +1,4 @@
-# $NetBSD: Makefile,v 1.15 2012/04/08 21:28:17 wiz Exp $
+# $NetBSD: Makefile,v 1.16 2012/10/04 07:05:53 wiz Exp $
DISTNAME= bzr-gtk-${VER}
PKGREVISION= 1
@@ -18,9 +18,6 @@ DEPENDS+= ${PYPKGPREFIX}-gtk2>=2.8:../../x11/py-gtk2
PYDISTUTILSPKG= yes
REPLACE_PYTHON= create-credits.py info.py
-# Only these python versions are supported, see:
-# http://doc.bazaar.canonical.com/bzr.dev/en/whats-new/whats-new-in-2.4.html
-PYTHON_VERSIONS_ACCEPTED= 27 26
USE_TOOLS+= msgfmt
View
5 devel/bzr-svn/Makefile
@@ -1,4 +1,4 @@
-# $NetBSD: Makefile,v 1.23 2012/04/08 21:28:17 wiz Exp $
+# $NetBSD: Makefile,v 1.24 2012/10/04 07:05:54 wiz Exp $
DISTNAME= bzr-svn-${VER}
CATEGORIES= devel scm
@@ -13,9 +13,6 @@ LICENSE= gnu-gpl-v2
PKG_DESTDIR_SUPPORT= user-destdir
PYTHON_PATCH_SCRIPTS= info.py wiki.py
-# Only these python versions are supported, see:
-# http://doc.bazaar.canonical.com/bzr.dev/en/whats-new/whats-new-in-2.4.html
-PYTHON_VERSIONS_ACCEPTED= 27 26
DEPENDS+= ${PYPKGPREFIX}-subvertpy>=0.8.8:../../devel/py-subvertpy
DEPENDS= ${PYPKGPREFIX}-sqlite3-[0-9]*:../../databases/py-sqlite3
View
5 devel/bzr/Makefile
@@ -1,4 +1,4 @@
-# $NetBSD: Makefile,v 1.57 2012/04/08 21:28:17 wiz Exp $
+# $NetBSD: Makefile,v 1.58 2012/10/04 07:05:54 wiz Exp $
DISTNAME= bzr-${VER}
PKGREVISION= 1
@@ -21,9 +21,6 @@ USE_TOOLS+= gmake msgfmt
PY_PATCHPLIST= yes
PYDISTUTILSPKG= yes
-# Only these python versions are supported, see:
-# http://doc.bazaar.canonical.com/bzr.dev/en/whats-new/whats-new-in-2.4.html
-PYTHON_VERSIONS_ACCEPTED= 27 26
PYTHON_PATCH_SCRIPTS= bzr bzrlib/weave.py
PYTHON_PATCH_SCRIPTS+= bzrlib/patiencediff.py bzrlib/_patiencediff_py.py
View
5 devel/bzrtools/Makefile
@@ -1,4 +1,4 @@
-# $NetBSD: Makefile,v 1.18 2012/04/08 21:28:17 wiz Exp $
+# $NetBSD: Makefile,v 1.19 2012/10/04 07:05:54 wiz Exp $
PKGNAME= bzrtools-${VER}
DISTNAME= bzrtools-${VER:R}
@@ -12,9 +12,6 @@ COMMENT= Collection of plugins for Bazaar
LICENSE= gnu-gpl-v2
PKG_DESTDIR_SUPPORT= user-destdir
-# Only these python versions are supported, see:
-# http://doc.bazaar.canonical.com/bzr.dev/en/whats-new/whats-new-in-2.4.html
-PYTHON_VERSIONS_ACCEPTED= 27 26
PYTHON_PATCH_SCRIPTS= check-release.py test.py
View
4 devel/gnatpython/Makefile
@@ -1,4 +1,4 @@
-# $NetBSD: Makefile,v 1.5 2012/03/15 11:53:24 obache Exp $
+# $NetBSD: Makefile,v 1.6 2012/10/04 07:05:54 wiz Exp $
#
DISTNAME= gnatpython-${SNAPSHOT}
@@ -16,8 +16,6 @@ SNAPSHOT= 20110912
PKG_DESTDIR_SUPPORT= user-destdir
-PYTHON_VERSIONS_ACCEPTED= 27 26 # uses "with ... as"
-
EGG_NAME= gnatpython-1.2
.include "../../lang/python/application.mk"
View
3  devel/gps/options.mk
@@ -1,4 +1,4 @@
-# $NetBSD: options.mk,v 1.2 2011/10/14 17:22:06 marino Exp $
+# $NetBSD: options.mk,v 1.3 2012/10/04 07:05:54 wiz Exp $
PKG_OPTIONS_VAR= PKG_OPTIONS.gps
PKG_SUPPORTED_OPTIONS= syslog python sqlite
@@ -57,7 +57,6 @@ CONFIGURE_ARGS+= --with-python=${PREFIX}
CONFIGURE_ARGS+= --enable-shared-python=no
CONFIGURE_ARGS+= --enable-pygtk
PLIST.pysupport= yes
-PYTHON_VERSIONS_ACCEPTED= 27 26
.include "../../lang/python/pyversion.mk"
.include "../../x11/py-gtk2/buildlink3.mk"
.else
View
4 devel/py-buildbot-slave/Makefile
@@ -1,4 +1,4 @@
-# $NetBSD: Makefile,v 1.1.1.1 2011/11/13 23:07:05 joerg Exp $
+# $NetBSD: Makefile,v 1.2 2012/10/04 07:05:55 wiz Exp $
#
DISTNAME= buildbot-slave-0.8.5
@@ -14,8 +14,6 @@ LICENSE= gnu-gpl-v2
PKG_DESTDIR_SUPPORT= user-destdir
-PYTHON_VERSIONS_ACCEPTED= 27 26
-
DEPENDS+= ${PYPKGPREFIX}-twisted-[0-9]*:../../net/py-twisted
.include "../../lang/python/egg.mk"
View
4 devel/py-buildbot/Makefile
@@ -1,4 +1,4 @@
-# $NetBSD: Makefile,v 1.1.1.1 2011/11/13 23:06:37 joerg Exp $
+# $NetBSD: Makefile,v 1.2 2012/10/04 07:05:55 wiz Exp $
#
DISTNAME= buildbot-0.8.5
@@ -14,8 +14,6 @@ LICENSE= gnu-gpl-v2
PKG_DESTDIR_SUPPORT= user-destdir
-PYTHON_VERSIONS_ACCEPTED= 27 26
-
DEPENDS+= ${PYPKGPREFIX}-sqlalchemy-[0-9]*:../../databases/py-sqlalchemy
DEPENDS+= ${PYPKGPREFIX}-sqlalchemy-migrate-[0-9]*:../../databases/py-sqlalchemy-migrate
DEPENDS+= ${PYPKGPREFIX}-twisted-[0-9]*:../../net/py-twisted
View
4 devel/py-jersey/Makefile
@@ -1,4 +1,4 @@
-# $NetBSD: Makefile,v 1.4 2012/04/20 18:49:25 adam Exp $
+# $NetBSD: Makefile,v 1.5 2012/10/04 07:05:55 wiz Exp $
DISTNAME= jersey-0.1.5
PKGNAME= ${PYPKGPREFIX}-${DISTNAME}
@@ -12,8 +12,6 @@ LICENSE= modified-bsd
PKG_DESTDIR_SUPPORT= user-destdir
-PYTHON_VERSIONS_ACCEPTED= 27 26
-
#BUILD_DEPENDS+= ${PYPKGPREFIX}-twisted>=10.0.0:../../net/py-twisted
DEPENDS+= ${PYPKGPREFIX}-twisted>=10.0.0:../../net/py-twisted
View
8 devel/py-pyutil/Makefile
@@ -1,4 +1,4 @@
-# $NetBSD: Makefile,v 1.7 2012/07/20 00:41:11 gdt Exp $
+# $NetBSD: Makefile,v 1.8 2012/10/04 07:05:55 wiz Exp $
#
DISTNAME= pyutil-1.9.3
@@ -13,11 +13,9 @@ LICENSE= gnu-gpl-v2
PKG_DESTDIR_SUPPORT= user-destdir
-PYTHON_VERSIONS_ACCEPTED= 27 26
-
DEPENDS+= ${PYPKGPREFIX}-setuptools_trial-[0-9]*:../../devel/py-setuptools_trial
-DEPENDS+= ${PYPKGPREFIX}-simplejson-[0-9]*:../../converters/py-simplejson
-DEPENDS+= ${PYPKGPREFIX}-zbase32-[0-9]*:../../converters/py-zbase32
+DEPENDS+= ${PYPKGPREFIX}-simplejson-[0-9]*:../../converters/py-simplejson
+DEPENDS+= ${PYPKGPREFIX}-zbase32-[0-9]*:../../converters/py-zbase32
USE_LANGUAGES= # none
View
5 devel/qbzr/Makefile
@@ -1,4 +1,4 @@
-# $NetBSD: Makefile,v 1.16 2012/04/22 08:43:01 cheusov Exp $
+# $NetBSD: Makefile,v 1.17 2012/10/04 07:05:54 wiz Exp $
DISTNAME= qbzr-${VER}
PKGREVISION= 2
@@ -20,9 +20,6 @@ USE_TOOLS+= msgfmt
WRKSRC= ${WRKDIR}/qbzr
PYDISTUTILSPKG= yes
-# Only these python versions are supported, see:
-# http://doc.bazaar.canonical.com/bzr.dev/en/whats-new/whats-new-in-2.4.html
-PYTHON_VERSIONS_ACCEPTED= 27 26
.include "../../devel/bzr/plugin.mk"
.include "../../lang/python/extension.mk"
View
3  misc/gaupol/Makefile
@@ -1,4 +1,4 @@
-# $NetBSD: Makefile,v 1.19 2012/03/15 11:53:30 obache Exp $
+# $NetBSD: Makefile,v 1.20 2012/10/04 07:08:07 wiz Exp $
#
DISTNAME= gaupol-0.19.2
@@ -16,7 +16,6 @@ DEPENDS+= ${PYPKGPREFIX}-chardet-[0-9]*:../../converters/py-chardet
DEPENDS+= ${PYPKGPREFIX}-enchant>=1.4:../../textproc/py-enchant
DEPENDS+= ${PYPKGPREFIX}-gtk2>=2.16:../../x11/py-gtk2
-PYTHON_VERSIONS_ACCEPTED= 27 26
PYDISTUTILSPKG= yes
USE_LANGUAGES= # none
USE_TOOLS+= intltool msgfmt
View
4 multimedia/pitivi/Makefile
@@ -1,4 +1,4 @@
-# $NetBSD: Makefile,v 1.18 2012/10/02 17:11:42 tron Exp $
+# $NetBSD: Makefile,v 1.19 2012/10/04 07:08:08 wiz Exp $
#
DISTNAME= pitivi-0.15.0
@@ -18,8 +18,6 @@ PKG_DESTDIR_SUPPORT= user-destdir
CONFIGURE_ENV+= ac_cv_path_PYTHON=${PYTHONBIN}
PYTHON_PATCH_SCRIPTS= bin/pitivi.in
-# no 25, needs setter/getter
-PYTHON_VERSIONS_ACCEPTED= 27 26
.include "../../multimedia/gstreamer0.10/buildlink3.mk"
.include "../../lang/python/application.mk"
View
5 net/py-foolscap/Makefile
@@ -1,4 +1,4 @@
-# $NetBSD: Makefile,v 1.6 2012/08/21 23:43:46 gdt Exp $
+# $NetBSD: Makefile,v 1.7 2012/10/04 07:08:08 wiz Exp $
#
DISTNAME= foolscap-0.6.4
@@ -22,9 +22,6 @@ TEST_TARGET= test
USE_LANGUAGES= # none
-# Why?
-PYTHON_VERSIONS_ACCEPTED= 27 26
-
INSTALLATION_DIRS+= share/doc/py-foolscap
post-install:
View
4 www/aws-demos/Makefile
@@ -1,4 +1,4 @@
-# $NetBSD: Makefile,v 1.4 2012/07/28 23:43:56 dholland Exp $
+# $NetBSD: Makefile,v 1.5 2012/10/04 07:08:08 wiz Exp $
#
DISTNAME= aws-${AWS_VERSION}
@@ -26,8 +26,6 @@ CONFIGURE_ARGS+= PYTHON=python${PYVERSSUFFIX}
CONFIGURE_ARGS+= XMLADA=true
CONFIGURE_ARGS+= prefix=${PREFIX}
-PYTHON_VERSION_ACCEPTED= 26 27
-
MAKE_ENV+= ADA_PROJECT_PATH=${PREFIX}/lib/gnat
DEMO_DIRS+= agent
View
4 www/aws/Makefile
@@ -1,4 +1,4 @@
-# $NetBSD: Makefile,v 1.6 2012/07/08 20:14:28 marino Exp $
+# $NetBSD: Makefile,v 1.7 2012/10/04 07:08:08 wiz Exp $
#
DISTNAME= aws-${AWS_VERSION}
@@ -23,8 +23,6 @@ USE_LANGUAGES= c ada c++ fortran
# gprconfig to crash due to output text not matching expected regexp
# Adding c++ and fortran to USE_LANGUAGES avoids this issue.
-PYTHON_VERSIONS_ACCEPTED= 26 27
-
.include "options.mk"
MAKE_ENV+= ADA_PROJECT_PATH=${PREFIX}/lib/gnat
Please sign in to comment.
Something went wrong with that request. Please try again.